RC-STATUS(8)

NAME
rc-status - show status info about runlevels

SYNOPSIS
rc-status [-aclsuC] [runlevel]

DESCRIPTION
rc-status gathers and displays information about the status of services in different runlevels. The default behavior is to show information about the current runlevel and any unassigned services that are not stopped, but any runlevel can be quickly examined.

If an active service is being supervised by supervise-daemon(8,) the amount of time the daemon has been active along with the number of times it has been respawned in the current respawn period will be displayed.

The options are as follows:

-a, --all
    Show all runlevels and their services.

-c, --crashed
    List all services that have crashed.

-l, --list
    List all defined runlevels.

-m, --manual
    Show all manually started services.

-r, --runlevel
    Print the current runlevel name.

-s, --servicelist
    Show all services.

-u, --unused
    Show services not assigned to any runlevel.

-C, --nocolor
    Disable color output.

runlevel
    Show information only for the named runlevel.

EXIT STATUS
rc-status exits 0, except when checking for crashed services and it doesn't find any.

IMPLEMENTATION NOTES
rc-status tries to list services within each runlevel in the presently resolved dependency order if the dependency tree is available.

SEE ALSO
openrc(8), rc-update(8) supervise-daemon(8)

AUTHORS
Roy Marples <roy@marples.name>